<Serializable()> _
Public Class ErrorCodes

    <Serializable()> _
    Public Class ErrorMapRecord

        Private m_DB_ID As Integer
        Private m_dataSourceName As String
        Private m_dataSourceLocation As String
        Private m_dataSourceErrorCode As String
        Private m_dataSourceErrorMessage As String
        Private m_ccomRelatedErrorCode As String
        Private m_ccomDisplayMessage As String
        Private m_createDate As Date

        Public Property DB_ID() As Integer
            Get
                Return Me.m_DB_ID
            End Get
            Set(ByVal value As Integer)
                Me.m_DB_ID = value
            End Set
        End Property
        Public Property dataSourceName() As String
            Get
                Return Me.m_dataSourceName
            End Get
            Set(ByVal value As String)
                Me.m_dataSourceName = value
            End Set
        End Property
        Public Property dataSourceLocation() As String
            Get
                Return Me.m_dataSourceLocation
            End Get
            Set(ByVal value As String)
                Me.m_dataSourceLocation = value
            End Set
        End Property
        Public Property dataSourceErrorCode() As String
            Get
                Return Me.m_dataSourceErrorCode
            End Get
            Set(ByVal value As String)
                Me.m_dataSourceErrorCode = value
            End Set
        End Property
        Public Property dataSourceErrorMessage() As String
            Get
                Return Me.m_dataSourceErrorMessage
            End Get
            Set(ByVal value As String)
                Me.m_dataSourceErrorMessage = value
            End Set
        End Property
        Public Property ccomRelatedErrorCode() As String
            Get
                Return Me.m_ccomRelatedErrorCode
            End Get
            Set(ByVal value As String)
                Me.m_ccomRelatedErrorCode = value
            End Set
        End Property
        Public Property ccomDisplayMessage() As String
            Get
                Return Me.m_ccomDisplayMessage
            End Get
            Set(ByVal value As String)
                Me.m_ccomDisplayMessage = value
            End Set
        End Property
        Public Property createDate() As Date
            Get
                Return Me.m_createDate
            End Get
            Set(ByVal value As Date)
                Me.m_createDate = value
            End Set
        End Property

    End Class
End Class
